Robotics Service Bus - Feature #207
Publish operation should return RSBEvent
02/22/2011 09:53 PM - S. Wrede

Status: Rejected
Priority: Normal
Assignee:

Category: C++

Target version:

Start date: 02/22/2011
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

Calls to ::publish on informers shall return the RSBEvent to the user for further processing. For instance, if access to an internally
generated event id is needed or some other kind of framework-generated metadata.

Related issues:

Duplicates Robotics Service Bus - Feature # 194: Get ID from published data

Resolved

02/17/2011

History

#1 - 02/22/2011 09:55 PM - S. Wrede

Exemplified in the RSBJava::Publisher class where send<T> and send(RSBEvent) both return the modified Event to the user.

#2 - 04/08/2011 05:07 PM - J. Wienke
- Category set to C++

#3 - 04/29/2011 06:00 PM - J. Wienke
- Status changed from New to Rejected

05/14/2024

1/1




